/*	x11amp - esound outputmkdir  plugin
 *	Copyright (C) 1999	Galex Yen
 *	
 *	this program is free software
 *	
 *	Description:
 *		This program is an output plugin for x11amp v0.9 or greater.
 *		The program uses the esound daemon to output audio in order
 *		to allow more than one program to play audio on the same
 *		device at the same time.
 *
 *		Contains code Copyright (C) 1998-1999 Mikael Alm, Olle Hallnas,
 *		Thomas Nillson and 4Front Technologies
 *
 */
 
#include "Esd.h"


OutputPlugin op=
{
	NULL,
	NULL,
	"ESounD Daemon v0.1",
	init,
	about,
	configure,
	get_volume,
	set_volume,
	abuffer_open,
	abuffer_write,
	abuffer_close,
	abuffer_flush,
	abuffer_pause,
	abuffer_free,
	abuffer_playing,
	abuffer_get_output_time,
	abuffer_get_written_time,
};


OutputPlugin *get_oplugin_info(void)
{
	return &op;
}
